Bug 765041 - (GLUSTER-3309) A host name peer probed with lower case can't be detached with uppercase
A host name peer probed with lower case can't be detached with uppercase
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.2.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-02 08:24 EDT by shylesh
Modified: 2011-08-04 02:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shylesh 2011-08-02 08:24:56 EDT
Steps
----
1. Peer probe a server with lower case say "gvsa-client1"
2. Try to peer detach it with "GVSA-CLIENT1"


Bug
----
Cli says GVSA-CLIENT1 is not part of cluster

output of command line
-------------------------
gluster> peer probe gvsa-gmcqa4
Probe successful
gluster> peer status
Number of Peers: 1

Hostname: gvsa-gmcqa4
Uuid: 331ed8f2-97dc-4644-b663-f5de9fcf9de7
State: Peer in Cluster (Connected)



gluster> peer detach GVSA-GMCQA4
GVSA-GMCQA4 is not part of cluster



Host name should be resolved immaterial of case.
Comment 1 Anand Avati 2011-08-03 21:55:12 EDT
CHANGE: http://review.gluster.com/147 (Change-Id: Id09f42f55a08b6990b4d63e6c708af17a42662d4) merged in release-3.1 by Anand Avati (avati@gluster.com)
Comment 2 Anand Avati 2011-08-03 21:55:17 EDT
CHANGE: http://review.gluster.com/146 (Change-Id: Id24627b5a59ef21a799b6a4da8cd063966cad3b9) merged in release-3.2 by Anand Avati (avati@gluster.com)
Comment 3 Anand Avati 2011-08-03 21:55:21 EDT
CHANGE: http://review.gluster.com/145 (Change-Id: I8dabf07ebb30ec500d847c11d5c72c2d87d10239) merged in master by Anand Avati (avati@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.